package cz.muni.fi.pv243.library.converter;

import javax.faces.bean.ManagedBean;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.inject.Inject;

import cz.muni.fi.pv243.library.ejb.BookManager;
import cz.muni.fi.pv243.library.entity.Book;

@ManagedBean
public class BookConverter implements Converter {

	@Inject
	private BookManager bookManager;

	@Override
	public Object getAsObject(FacesContext context, UIComponent component,
			String value) {
		if (value == null) {
			return null;
		}
		Long id = Long.parseLong(value);

		return this.bookManager.getBookById(id);
	}

	@Override
	public String getAsString(FacesContext context, UIComponent component,
			Object value) {
		if (value == null) {
			return null;
		}
		Long id = ((Book) value).getBookId();

		return (id != null) ? id.toString() : null;
	}

}
